metee

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
meteepp.h File Reference

metee C++ library API More...

`#include <sstream>`
`#include <stdexcept>`
`#include <string>`
`#include <system_error>`
`#include <vector>`
`#include "metee.h"`

Go to the source code of this file.

## Data Structures
class | intel::security::metee_category_t
class | intel::security::metee_exception
class | intel::security::metee
| C++ class to access CSE/CSME/GSC firmware via a mei interface. More...

## Macros
#define | TEE_ERR_STATE(state)

## Functions
| intel::security::DEFINE_GUID (METEE_GUID_ZERO, 0x00000000, 0x0000, 0x0000, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00)

## Detailed Description

metee C++ library API

Definition in file meteepp.h.

## Macro Definition Documentation

## ◆ TEE_ERR_STATE

#define TEE_ERR_STATE | ( |  | state | ) |

Value:
case TEE_##state: return #state

Internal macro

## Function Documentation

## ◆ DEFINE_GUID()

intel::security::DEFINE_GUID | ( | METEE_GUID_ZERO | ,
|  | 0x00000000 | ,
|  | 0x0000 | ,
|  | 0x0000 | ,
|  | 0x00 | ,
|  | 0x00 | ,
|  | 0x00 | ,
|  | 0x00 | ,
|  | 0x00 | ,
|  | 0x00 | ,
|  | 0x00 | ,
|  | 0x00 | )

Dummy client GUID for default constructor